/*
 * Detect whether there is 'proto_register', 'proto_unregister' and 'struct proto'.
 * Should be positive for 2.6.12-rc2 and above.
 */

#include <net/sock.h>

struct proto vmnet_proto = {
	.name     = "VMnet",
	.owner    = THIS_MODULE,
	.obj_size = sizeof(struct sock),
};

void testproto(void) {
   if (!proto_register(&vmnet_proto, 0)) {
      proto_unregister(&vmnet_proto);
   }
}
